import createAxios from '@/utils/request'

//事件报告
export function getEventReport(data) {
    return createAxios({
        url: '/event-boot/report/getEventReport',
        method: 'post',
        data
    })
}
// 生成报告
export function getAreaReport(data) {
    return createAxios({
        url: '/event-boot/report/getAreaReport',
        method: 'post',
        data,
        responseType: 'blob'
    })
}
//查询所有模板
export function getList(data) {
    return createAxios({
        url: '/system-boot/EventTemplate/getList',
        method: 'post',
        data
    })
}
export function selectReleation(data) {
    return createAxios({
        url: '/system-boot/EventTemplate/selectReleation',
        method: 'post',
        params: data
    })
}
export function getLineExport(data) {
    return createAxios({
        url: '/event-boot/report/getLineExport',
        method: 'post',
        data: data,
        responseType: 'blob'
    })
}
export function getVoltage(data: any) {
    return createAxios({
        url: '/event-boot/report/getVoltage',
        method: 'post',
        data
    })
}
export function getGeneralSituation(data: any) {
    return createAxios({
        url: '/event-boot/report/getGeneralSituation',
        method: 'post',
        data
    })
}
export function getTransientValue(data: any) {
    return createAxios({
        url: '/event-boot/transient/getTransientValue',
        method: 'post',
        data
    })
}
